'use strict';

var _superagent = require('superagent');

var _superagent2 = _interopRequireDefault(_superagent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function converseRequest(text, param) {
  var info = {};
  info.text = text;
  if (param.conversationToken) {
    info.conversation_token = param.conversationToken;
  }
  return new Promise(function (resolve, reject) {
    if (!text) {
      reject('no message to send');
    } else {
      var req = _superagent2.default.post('https://api.recast.ai/v2/converse').set('Authorization', 'Token ' + param.userToken).send(info);
      req.end(function (err, res) {
        if (err) {
          reject(err);
        } else {
          resolve(res.body.results);
        }
      });
    }
  });
}

function textRequest(text, param) {
  return new Promise(function (resolve, reject) {
    if (!text) {
      reject('no message to send');
    } else {
      var req = _superagent2.default.post('https://api.recast.ai/v2/request').set('Authorization', 'Token ' + param.userToken).send({ text: text });
      req.end(function (err, res) {
        if (err) {
          reject(err);
        } else {
          resolve(res.body.results);
        }
      });
    }
  });
}

module.exports = {
  textRequest: textRequest,
  converseRequest: converseRequest
};