import request from 'superagent'


function converseRequest(text, param) {
  const info = {}
  info.text = text
  if (param.conversationToken) {
    info.conversation_token = param.conversationToken
  }
  return new Promise((resolve, reject) => {
    if (!text) {
      reject('no message to send')
    } else {
      const req = request.post('https://api.recast.ai/v2/converse')
      .set('Authorization', `Token ${param.userToken}`)
      .send(info)
      req.end((err, res) => {
        if (err) {
          reject(err)
        } else {
          resolve(res.body.results)
        }
      })
    }
  })
}

function textRequest(text, param) {
  return new Promise((resolve, reject) => {
    if (!text) {
      reject('no message to send')
    } else {
      const req = request.post('https://api.recast.ai/v2/request')
      .set('Authorization', `Token ${param.userToken}`)
      .send({ text })
      req.end((err, res) => {
        if (err) {
          reject(err)
        } else {
          resolve(res.body.results)
        }
      })
    }
  })
}

module.exports = {
  textRequest,
  converseRequest,
}
